Bug 1606369 - [RFE] De-emphasize yStreams in the repos page
Summary: [RFE] De-emphasize yStreams in the repos page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: Andrew Kofink
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-20 19:40 UTC by Andrew Kofink
Modified: 2019-11-05 22:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
related screenshots (367.63 KB, application/x-gzip)
2018-12-05 07:51 UTC, vijsingh
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 23882 None None None 2018-07-20 19:40:28 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:44 UTC

Description Andrew Kofink 2018-07-20 19:40:27 UTC
The existence of the zStreams tends to cause confusion with users. These should be hidden, perhaps in an "Advanced" section in order to make things work more clearly out of the box.

<pre>
## Acceptance criteria

As a Katello UI user, I should be encouraged to enable repositories that do not
specify a Y release version.

- Kickstart repository set repositories are never grayed or bolded
- Repository sets with a release version X (without Y) repository:
  - show X release version repositories in bold
  - show X.Y repositories in gray
  - show an 'info' icon next to X.Y repositories
  - display a message on hover of 'info' icon next to X.Y repositories: "This repository has a very specific update policy. Please see additional [documentation](https://access.redhat.com/articles/1586183) prior to use."
- Linked documentation is publicly accessible
</pre>

Comment 1 Andrew Kofink 2018-07-20 19:40:30 UTC
Created from redmine issue https://projects.theforeman.org/issues/23882

Comment 2 Andrew Kofink 2018-07-20 19:40:33 UTC
Upstream bug assigned to None

Comment 4 pm-sat@redhat.com 2018-08-17 14:07:22 UTC
Upstream bug assigned to akofink@redhat.com

Comment 5 pm-sat@redhat.com 2018-09-04 12:07:14 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/23882 has been resolved.

Comment 7 vijsingh 2018-12-05 07:51:21 UTC
Verified:

@Satellite 6.5.0 Snap 6.0

Steps:

 On Satellite GUI:

   Content => Red Hat Repositories => Checked for repos:
     "Red Hat Enterprise Linux 6 Server (RPMs)" 
     "Red Hat Enterprise Linux 7 Server (RPMs)"
     "Red Hat Software Collections RPMs for Red Hat Enterprise Linux 7 Server"
     "Red Hat Enterprise Linux 6 Server (Kickstart)"
     "Red Hat Enterprise Linux 7 Server (Kickstart)"

Observation/result:
- Able to see the :
        >  X release version repositories in bold
        >  X.Y repositories in gray
        >  an 'info' icon next to X.Y repositories
        > Display message: "This repository is not suggested. Please see additional documentation prior to use."
        > Document link is: https://access.redhat.com/articles/1586183
        > Kickstart repositories are not impacted with this change.

Comment 8 vijsingh 2018-12-05 07:51:45 UTC
Created attachment 1511557 [details]
related screenshots

Comment 12 errata-xmlrpc 2019-05-14 12:37:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.